﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace BdDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        //百度登陆的流程
        //    1.登陆首页拿到BAIDUID；
        //    2.通过一个百度API拿到一个参数Token
        //    3.登陆
        //    4.如果返回的html提示有验证码，就需要把验证码url从html里面提取出来
        //    5.再次登陆，这个时候就带上验证码地址（后面的部分）和自己输入的验证码


        private void Form1_Load(object sender, EventArgs e)
        {
            this.LH = new LoginHelp();//窗体加载的时候初始化，这个时候就直接先拿到BAIDUID和token ，前2步就完成了
        }

        private LoginHelp LH;

        private void btnLogin_Click(object sender, EventArgs e)
        {
            this.login(this.tbName.Text.Trim(), this.tbPsw.Text.Trim(), this.tbCode.Text.Trim());
        }

        private void login(string name, string psw, string code)
        {
            string msg = this.LH.Login(name, psw, code);
            if (msg == "true")
                MessageBox.Show("登陆成功！");
            else if (msg == "false")
                MessageBox.Show("用户名或密码错误");
            else  //这个时候就返回的是验证码了
            {
                this.pbCodeImage.ImageLocation = msg;
            }
        }

        //登陆成功之后，可以把LH里面的HP，也就是HttpHelp的实例提取出来，给后面的什么签到啊，头像什么的，再次封装，用起来方便一些

        //签到这个有2种方式，我先简单的说一下
        //1.正常的post，贴吧网页里面的签到都是这个，有些人还弄出了贴吧客户端签到，那个我没有研究过
        //2.用get，在wapp端签到，这个因为是get所以不用那么麻烦，这个是我用的
        
    }
}
